Bug 65820 - [GTK] platform/gtk/fonts/custom-font-missing-glyphs.html fails on the bots
Summary: [GTK] platform/gtk/fonts/custom-font-missing-glyphs.html fails on the bots
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKitGTK (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Martin Robinson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-08-06 14:56 PDT by Martin Robinson
Modified: 2011-08-22 10:08 PDT (History)
3 users (show)

See Also:


Attachments
Patch (1.66 KB, patch)
2011-08-06 15:00 PDT, Martin Robinson
no flags Details | Formatted Diff | Diff
Patch (2.54 KB, patch)
2011-08-07 05:44 PDT, Martin Robinson
pnormand: review+
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Robinson 2011-08-06 14:56:41 PDT
This test fails on the bots. it looks like a timing issue where the test finishes before the font has loaded completely.
Comment 1 Martin Robinson 2011-08-06 15:00:53 PDT
Created attachment 103166 [details]
Patch
Comment 2 Martin Robinson 2011-08-07 05:43:01 PDT
This also appears to be an issue with platform/gtk/fonts/font-face-with-complex-text.html.
Comment 3 Martin Robinson 2011-08-07 05:44:58 PDT
Created attachment 103180 [details]
Patch
Comment 4 Philippe Normand 2011-08-12 00:13:32 PDT
Comment on attachment 103180 [details]
Patch

LGTM, did you try with body onload?
Comment 5 WebKit Review Bot 2011-08-18 10:24:10 PDT
Comment on attachment 103180 [details]
Patch

Rejecting attachment 103180 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=ec2-cq-02', '--port..." exit_code: 2

Last 500 characters of output:
ing Tools/ChangeLog
CONFLICT (content): Merge conflict in Tools/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 2011-08-18  Andrey Kosyakov  <caseq@chromium.org>

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 146.

Full output: http://queues.webkit.org/results/9420685
Comment 6 Martin Robinson 2011-08-22 10:08:09 PDT
Committed r93513: <http://trac.webkit.org/changeset/93513>